<mat-card class="transaction-card">
  <mat-card-header>
    <mat-card-title>Market-based Non-Household Transactions of Residential Dwellings by Dwelling Status, Participant, Stamp Duty Event and NACE Section</mat-card-title>
  </mat-card-header>

<mat-form-field appearance="fill" class="transaction-select">
  <mat-label for="dwellingStatusFilter">Select a dwelling status filter</mat-label>
  <mat-select id="dwellingStatusFilter" name="dwellingStatusFilter" [(value)]="selectedFirstFilter" (selectionChange)="onFilterChangeDwelling($event)">
    <mat-option *ngFor="let option of firstFilterOption | keyvalue" [value]="option.value">{{option.key}}</mat-option>
  </mat-select>
</mat-form-field>

<mat-form-field appearance="fill" class="transaction-select">
  <mat-label for="participantFilter">Select a participant filter</mat-label>
  <mat-select id="participantFilter" name="participantFilter" [(value)]="selectedSecondFilter" (selectionChange)="onFilterChangeParticipant($event)">
    <mat-option *ngFor="let option of secondFilterOption | keyvalue" [value]="option.value">{{option.key}}</mat-option>
  </mat-select>
</mat-form-field>

    <mat-form-field appearance="fill" class="transaction-select">
    <mat-label for="stampDutyEventsFilter">Select a Stamp Duty Event filter</mat-label>
    <mat-select id="stampDutyEventsFilter" name="stampDutyEventsFilter" [(value)]="selectedThirdFilter" (selectionChange)="onFilterChangeStamp($event)">
        <mat-option *ngFor="let option of thirdFilterOption | keyvalue" [value]="option.value">{{option.key}}</mat-option>
    </mat-select>
    </mat-form-field>

<mat-form-field appearance="fill" class="transaction-select">
  <mat-label for="naceSectionType">Select a NACE Section filter</mat-label>
  <mat-select id="naceSectionType" name="naceSectionType" [(value)]="selectedFourthFilter" (selectionChange)="onFilterChangeNACE($event)">
    <mat-option *ngFor="let option of fourthFilterOption | keyvalue" [value]="option.value">{{option.key}}</mat-option>
  </mat-select>
</mat-form-field>

  <mat-card-content>
    <div id="marketBasedTransactionsContainer"></div>
  </mat-card-content>
</mat-card>
